CREATE TABLE irc_candidates (
    PERSON_ID                    NUMBER(18, 0) ,
    CAND_ADDRESS_ID              NUMBER(18, 0) ,
    OBJECT_STATUS                VARCHAR2(160) ,
    CANDIDATE_NUMBER             VARCHAR2(120)     NOT NULL,
    POTENTIAL_DUPLICATE_FLAG     VARCHAR2(4)   ,
    PROFILE_ID                   NUMBER(18, 0) ,
    CONFIRMED_FLAG               VARCHAR2(4)   ,
    CONFIRMED_DATE               TIMESTAMP(6)  ,
    VISIBLE_TO_CANDIDATE_FLAG    VARCHAR2(4)   ,
    ADDED_BY_FLOW_CODE           VARCHAR2(120) ,
    AVAILABILITY_DATE            DATE          ,
    SEARCH_DATE                  DATE          ,
    PREF_PHONE_CNT_TYPE_CODE     VARCHAR2(120) ,
    CAND_LAST_MODIFIED_DATE      TIMESTAMP(6)  ,
    REQUEST_ID                   NUMBER(18, 0) ,
    CAND_PREF_LANGUAGE_CODE      VARCHAR2(16)  ,
    CAND_PREF_TIME_ZONE          VARCHAR2(256) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    OPT_IN_MKT_EMAILS_FLAG       VARCHAR2(4)   ,
    OPT_IN_MKT_EMAILS_DATE       TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    MERGED_FLAG                  VARCHAR2(4)   ,
    DELETION_QUALIFIER           VARCHAR2(256) ,
    DELETED_BY_USER              VARCHAR2(256) ,
    DELETION_DATE                TIMESTAMP(6)  ,
    EMAIL_VERIFIED_FLAG          VARCHAR2(4)   ,
    EMAIL_PREFERRED_FLAG         VARCHAR2(4)   ,
    CAND_EMAIL_ID                NUMBER(18, 0) ,
    PHONE_VERIFIED_FLAG          VARCHAR2(4)   ,
    PHONE_PREFERRED_FLAG         VARCHAR2(4)   ,
    CAND_PHONE_ID                NUMBER(18, 0) ,
    PHONE_CHANNEL_TYPE           VARCHAR2(120) ,
    PERSON_ID                    NUMBER(18, 0) ,
    OBJECT_STATUS                VARCHAR2(160) ,
    CANDIDATE_NUMBER             VARCHAR2(120)     NOT NULL,
    PROFILE_ID                   NUMBER(18, 0) ,
    AVAILABILITY_DATE            DATE          ,
    SEARCH_DATE                  DATE          ,
    PREF_PHONE_CNT_TYPE_CODE     VARCHAR2(120) ,
    CAND_LAST_MODIFIED_DATE      TIMESTAMP(6)  ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONFIRMED_FLAG               VARCHAR2(4)   ,
    VISIBLE_TO_CANDIDATE_FLAG    VARCHAR2(4)   ,
    ADDED_BY_FLOW_CODE           VARCHAR2(120) ,
    CAND_PREF_LANGUAGE_CODE      VARCHAR2(16)  ,
    OPT_IN_MKT_EMAILS_FLAG       VARCHAR2(4)   ,
    OPT_IN_MKT_EMAILS_DATE       TIMESTAMP(6)  ,
    POTENTIAL_DUPLICATE_FLAG     VARCHAR2(4)   ,
    MERGED_FLAG                  VARCHAR2(4)   ,
    DELETION_QUALIFIER           VARCHAR2(256) ,
    EMAIL_VERIFIED_FLAG          VARCHAR2(4)   ,
    EMAIL_PREFERRED_FLAG         VARCHAR2(4)   ,
    CAND_EMAIL_ID                NUMBER(18, 0) ,
    PHONE_VERIFIED_FLAG          VARCHAR2(4)   ,
    PHONE_PREFERRED_FLAG         VARCHAR2(4)   ,
    CAND_PHONE_ID                NUMBER(18, 0) ,
    DELETED_BY_USER              VARCHAR2(256) ,
    DELETION_DATE                TIMESTAMP(6)  ,
    CAND_ADDRESS_ID              NUMBER(18, 0) ,
    CAND_PREF_TIME_ZONE          VARCHAR2(256) ,
    CONFIRMED_DATE               TIMESTAMP(6)  ,
    REHIRE_RECOMMENDATION        VARCHAR2(120) ,
    PHONE_CHANNEL_TYPE           VARCHAR2(120) ,
    CONSTRAINT pk_irc_candidates PRIMARY KEY (PERSON_ID, PERSON_ID)
);
